{
    inputs = {
        nixpkgs.url = "github:NixOS/nixpkgs/nixos-24.11";
    };
    outputs = { nixpkgs, ... }: {
        colmena = {
            meta = {
                nixpkgs = import nixpkgs {
                    system = "x86_64-linux";
                    overlays = [];
                };
            };

            # needed ?
            #
            # deployment = {
            #   targetHost = "somehost.tld";
            #   targetPort = 1234;
            #   targetUser = "luser";
            # };

            git-system = { name, nodes, pkgs, ... }: {
                import = "git_system.nix";
            };
            runner-system = { name, nodes, pkgs, ... }: {
                import = "runner_system.nix";
            };
            dev-system = { name, nodes, pkgs, ... }: {
                import = "dev_system.nix";
            };
        };
    };
}